# Class LLServletHolder<T extends jakarta.servlet.Servlet>

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.servlet.BaseHolder<jakarta.servlet.Servlet>
org.eclipse.jetty.servlet.Holder<jakarta.servlet.Servlet>
org.eclipse.jetty.servlet.ServletHolder
com.io7m.looseleaf.server.internal.LLServletHolder<T>

Type Parameters:
  `T` - The type of servlet

All Implemented Interfaces:
  `Comparable<org.eclipse.jetty.servlet.ServletHolder>`, `org.eclipse.jetty.server.UserIdentity.Scope`, `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.LifeCycle`

public final class LLServletHolder<T extends jakarta.servlet.Servlet> extends org.eclipse.jetty.servlet.ServletHolder
A servlet holder used to inject dependencies into servlets.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.ServletHolder

  `org.eclipse.jetty.servlet.ServletHolder.Config, org.eclipse.jetty.servlet.ServletHolder.JspContainer, org.eclipse.jetty.servlet.ServletHolder.Registration, org.eclipse.jetty.servlet.ServletHolder.WrapFunction, org.eclipse.jetty.servlet.ServletHolder.Wrapper`

  ### Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.Holder

  `org.eclipse.jetty.servlet.Holder.HolderConfig, org.eclipse.jetty.servlet.Holder.HolderRegistration`

  ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

  `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

  `org.eclipse.jetty.util.component.LifeCycle.Listener`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jetty.servlet.ServletHolder

  `APACHE_SENTINEL_CLASS, JSP_GENERATED_PACKAGE_NAME`

  ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `FAILED, STARTED, STARTING, STOPPED, STOPPING`

  ### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLServletHolder(Class<T> inClazz, Supplier<T> inConstructor)`
  Construct a holder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected jakarta.servlet.Servlet`
  `newInstance()`

  ### Methods inherited from class org.eclipse.jetty.servlet.ServletHolder

  `appendPath, checkServletType, compareTo, createInstance, destroyInstance, doStart, doStop, dump, equals, getClassNameForJsp, getContextHandler, getContextPath, getForcedPath, getInitOrder, getJspPackagePrefix, getNameOfJspClass, getPackageOfJspClass, getRegistration, getRoleRefMap, getRunAsRole, getServlet, getServletInstance, getUnavailableException, getUserRoleLink, handle, hashCode, initialize, initJspServlet, isAvailable, isEnabled, isJspServlet, isJspServlet, prepare, setEnabled, setForcedPath, setInitOrder, setRunAsRole, setServlet, setUserRoleLink, toString`

  ### Methods inherited from class org.eclipse.jetty.servlet.Holder

  `dump, getDisplayName, getInitParameter, getInitParameterNames, getInitParameters, getName, isAsyncSupported, setAsyncSupported, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setInstance, setName`

  ### Methods inherited from class org.eclipse.jetty.servlet.BaseHolder

  `getClassName, getHeldClass, getInstance, getServletContext, getServletHandler, getSource, illegalStateIfContextStarted, isInstance, setServletHandler, unwrap, wrap`

  ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `addEventListener, getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeEventListener, setEventListeners, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

  `dumpSelf`

  ### Methods inherited from interface org.eclipse.jetty.server.UserIdentity.Scope

  `getName`

- ## Constructor Details

  - ### LLServletHolder

    public LLServletHolder(Class<T> inClazz, Supplier<T> inConstructor)
    Construct a holder.
    Parameters:
      `inClazz` - The servlet class
      `inConstructor` - A constructor function to produce servlet instances

- ## Method Details

  - ### newInstance

    protected jakarta.servlet.Servlet newInstance()
    Overrides:
      `newInstance` in class `org.eclipse.jetty.servlet.ServletHolder`